MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023489Community[OCCT] OCCT:Application Frameworkpublic2012-10-24 23:572013-10-02 15:52
ReporterRoman Lygin 
Assigned ToRoman Lygin 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023489: Memory leak in TNaming_NamedShape
DescriptionUpon TNaming_NamedShape destruction, internal shape collections do not get freed leading to massive leaks.

The fix will be to add a destructor that will call TNaming_NamedShape::Clear().
Steps To ReproduceSee the enclosed test case.
With the enforced clean up by calling TNaming_NamedShape::Clear(), the real destruction takes place.
TagsNo tags attached.
Test case numberbugs caf bug23489
Attached Filescxx file icon tnaming_namedshape_memoryleak.cxx (1,242 bytes) 2012-10-24 23:57
cxx file icon tnaming_namedshape_memoryleak-v2.cxx (1,038 bytes) 2012-10-25 00:55

- Relationships
related to 0023554closedPawel Community Crash when closing BinXCAF document 
related to 0023901closedomy Open CASCADE Memory leaks in tests 
related to 0024164closedbugmaster Open CASCADE Optimization of OCAF document closing 

-  Notes
(0021934)
Roman Lygin (developer)
2012-10-25 00:55

Fixed pushed in branch CR23489.
The slightly simplified test case (without warmup) enclosed.
(0021935)
szy (administrator)
2012-10-25 11:38

Reviewed. It's Ok.
(0022034)
abv (manager)
2012-10-31 16:14

I have committed test case for memory leak (bugs ocaf bug23489), please review and check on Linux
(0022043)
apn (administrator)
2012-11-01 11:00

Dear BugMaster,
Branch CR23489(and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
bugs caf bug23489 - OK
(0022044)
szy (administrator)
2012-11-01 11:22

Additional Draw command <ClearNS Doc Entry> is integrated in CR23489. This command allows to clean NamedShape attribute's data structure if found at the label with the specified Entry.
(0022064)
abv (manager)
2012-11-02 09:40

I have pushed modified version of the test case and procedure for evaluating memory leaks to branch CR23489, please check on Linux how many iterations are needed now to confirm absence of the leak

- Related Changesets
occt: master deb26df7
Timestamp: 2012-11-09 12:55:48
Author: Roman Lygin
Details ] Diff ]
0023489: Memory leak in TNaming_NamedShape

Added test for memory leak (bugs/ocaf/bug23489)
Missing return added in QANewBRepNaming_BooleanOperationFeat::IsWRCase2()
Adding test case and general procedure for trend checking for detection of memory leaks
mod - src/QANewBRepNaming/QANewBRepNaming_BooleanOperationFeat.cxx Diff ] File ]
mod - src/TNaming/TNaming_NamedShape.cdl Diff ] File ]
mod - tests/bugs/begin Diff ] File ]
add - tests/bugs/caf/bug23489 Diff ] File ]
mod - tests/bugs/grids.list Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-24 23:57 Roman Lygin New Issue
2012-10-24 23:57 Roman Lygin Assigned To => szy
2012-10-24 23:57 Roman Lygin File Added: tnaming_namedshape_memoryleak.cxx
2012-10-25 00:55 Roman Lygin Note Added: 0021934
2012-10-25 00:55 Roman Lygin Status new => resolved
2012-10-25 00:55 Roman Lygin File Added: tnaming_namedshape_memoryleak-v2.cxx
2012-10-25 09:02 abv Target Version => 6.5.4
2012-10-25 11:38 szy Note Added: 0021935
2012-10-25 11:38 szy Assigned To szy => mkv
2012-10-25 11:38 szy Status resolved => reviewed
2012-10-31 16:14 abv Note Added: 0022034
2012-11-01 11:00 apn Note Added: 0022043
2012-11-01 11:00 apn Test case number => bugs caf bug23489
2012-11-01 11:00 apn Assigned To mkv => bugmaster
2012-11-01 11:00 apn Status reviewed => tested
2012-11-01 11:22 szy Note Added: 0022044
2012-11-02 09:40 abv Note Added: 0022064
2012-11-02 09:40 abv Assigned To bugmaster => apn
2012-11-02 09:40 abv Status tested => feedback
2012-11-02 18:28 apn Assigned To apn => bugmaster
2012-11-02 18:28 apn Status feedback => tested
2012-11-12 11:33 Roman Lygin Changeset attached => occt master deb26df7
2012-11-12 11:33 Roman Lygin Assigned To bugmaster => Roman Lygin
2012-11-12 11:33 Roman Lygin Status tested => verified
2012-11-12 11:33 Roman Lygin Resolution open => fixed
2012-11-14 18:24 abv Relationship added related to 0023554
2012-11-16 13:13 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:18 bugmaster Status verified => closed
2013-04-16 14:11 omy Relationship added related to 0023901
2013-10-02 15:52 abv Relationship added related to 0024164


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker